Gauge legend in EJ2 JavaScript Circular gauge control

23 Jun 202319 minutes to read

Legend provides valuable information for interpreting what the circular gauge axis range displays, and they can be represented in various colors, shapes, and other identifiers based on the data. It gives a breakdown of what each symbol represents in the axis range of circular gauge.

You can add the legend for circular gauge ranges by setting the visible property of legendSettings to true.

Legend customization

Customization option is also provided for the legend shape, alignment, and position.

Position and alignment

The position of the legend is used to place legend in various positions. You can use the position property in legendSettings. Based on the position, the legend item will be aligned. The following options are available to customize the legend position:

  • Top

  • Bottom

  • Left

  • Right

  • Custom

  • Auto

The legend alignment is used to align the legend items in specific location. You can use the alignment property in legendSettings to align the legend items. The following options are available to customize the legend alignment:

  • Near

  • Center

  • Far

The legends can also be positioned to absolute position using the location.x and location.y properties available in legendSettings.

Legend size

The legend size can be modified using the height and width properties in legendSettings.

Legend opacity

To specify the transparency for legend shape, set the opacity property in legendSettings.

Legend shape

To change the legend item shape, specify the desired shape in the shape property of the legend. By default, the shape of the legend is circle.

It also supports the following shapes:

  • Circle

  • Rectangle

  • Diamond

  • Triangle

  • InvertedTriangle

  • Image

You can customize a shape using the shapeWidth and shapeHeight properties.

Legend padding

You can control the spacing between the legend items using the padding option of the legend. The default value of padding is 5.

Legend border

You can customize the legend border using the border option in the legend. The legend border can be customized using the border color and width properties.

Font of the legend text

The font of the legend item text can be customized using the following properties:

  • fontFamily

  • fontStyle

  • fontWeight 

  • opacity

  • color 

  • size

The following code example shows how to add legend in the gauge.

var circulargauge = new ej.circulargauge.CircularGauge({
axes: [{
        minimum: 0,
        maximum: 100,
        majorTicks: {
            useRangeColor: true
        },
        minorTicks: {
            useRangeColor: true
        },
        labelStyle: {
            useRangeColor: true
        },

        ranges: [{
            start: 0,
            end: 25,
            radius: '108%'
        },{
            start: 25,
            end: 50,
            radius: '108%'
        },{
            start: 50,
            end: 75,
            radius: '108%'
        },{
            start: 75,
            end: 100,
            radius: '108%'
        }]
    }],
     legendSettings : {
       visible: true,
       position: 'Bottom',
            alignment:'Near',
            width:'450',
            height:'80',
            shapeWidth:30,
            shapeHeight:30,
            padding:15,
            border: {
                color:'green',
                width:3
            }
      }
}, '#element');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-popups/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="element"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Toggle option in legend

The toggle option has been provided for legend. So, if you toggle the legend, the given color will be changed to the corresponding circular gauge range. You can enable the toggle option using toggleVisibility in the legendSettings property.

var circulargauge = new ej.circulargauge.CircularGauge({
axes: [{
        minimum: 0,
        maximum: 100,
        majorTicks: {
            useRangeColor: true
        },
        minorTicks: {
            useRangeColor: true
        },
        labelStyle: {
            useRangeColor: true
        },
        ranges: [{
            start: 0,
            end: 25,
            radius: '108%'
        },{
            start: 25,
            end: 50,
            radius: '108%'
        },{
            start: 50,
            end: 75,
            radius: '108%'
        },{
            start: 75,
            end: 100,
            radius: '108%'
        }]
    }],
     legendSettings : {
       visible: true,
       toggleVisibility: true
      }
}, '#element');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-popups/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="element"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Paging support in legend

By default, paging will be enabled if the legend items exceed the legend bounds. You can view each legend item by navigating between the pages using navigation buttons.

var circulargauge = new ej.circulargauge.CircularGauge({
axes: [{
        minimum: 0,
        maximum: 100,
        majorTicks: {
            useRangeColor: true
        },
        minorTicks: {
            useRangeColor: true
        },
        labelStyle: {
        useRangeColor: true
        },
        ranges: [{
            start: 0,
            end: 25,
            radius: '108%'
        },{
            start: 25,
            end: 50,
            radius: '108%'
        },{
            start: 50,
            end: 75,
            radius: '108%'
        },{
            start: 75,
            end: 100,
          radius: '108%'
        }]
    }],
     legendSettings : {
       visible: true,
       height: '50'
      }
}, '#element');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-popups/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="element"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Legend text customization

You can customize the legend text using legendText property in ranges.

var circulargauge = new ej.circulargauge.CircularGauge({
axes: [{
        minimum: 0,
        maximum: 100,
        majorTicks: {
            useRangeColor: true
        },
        minorTicks: {
            useRangeColor: true
        },
        labelStyle: {
            useRangeColor: true
        },
        ranges: [{
            start: 0,
            end: 25,
            radius: '108%',
            legendText: 'light air'
        },{
            start: 25,
            end: 50,
            radius: '108%',
            legendText: 'light air'
        },{
            start: 50,
            end: 75,
            radius: '108%',
            legendText: 'light breeze'

        },{
            start: 75,
            end: 100,
            radius: '108%',
            legendText: 'Gentle breeze'
        }]
    }],
     legendSettings : {
       visible: true
      }
}, '#element');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-popups/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="element"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

legendRendering event will be triggered before rendering each legend item, using this event you can customize needed legend items using following arguments.

Argument name Description
fill Specifies the legend shape color
text Specifies the current legend text
shape Customize the shape of the legends
name Specifies the name of the event
cancel Set to true, to cancel the event status

Legend in Angular Circular Gauge

Legend provides valuable information for interpreting what the circular gauge axis range displays, and they can be represented in various colors, shapes, and other identifiers based on the data. It gives a breakdown of what each symbol represents in the axis range of circular gauge.

You can add the legend for circular gauge ranges by setting the visible property of legendSettings to true.

Legend customization

Customization option is also provided for the legend shape, alignment, and position.

Position and alignment

The position of the legend is used to place legend in various positions. You can use the position property in legendSettings. Based on the position, the legend item will be aligned. The following options are available to customize the legend position:

  • Top
  • Bottom
  • Left
  • Right
  • Custom
  • Auto

The legend alignment is used to align the legend items in specific location. You can use the alignment property in legendSettings to align the legend items. The following options are available to customize the legend alignment:

  • Near
  • Center
  • Far

The legends can also be positioned to absolute position using the location.x and location.y properties available in legendSettings.

Legend size

The legend size can be modified using the height and width properties in legendSettings.

Legend opacity

To specify the transparency for legend shape, set the opacity property in legendSettings.

Legend shape

To change the legend item shape, specify the desired shape in the shape property of the legend. By default, the shape of the legend is circle.

It also supports the following shapes:

  • Circle
  • Rectangle
  • Diamond
  • Triangle
  • InvertedTriangle
  • Image

You can customize a shape using the shapeWidth and shapeHeight properties.

Legend padding

You can control the spacing between the legend items using the padding option of the legend. The default value of padding is 5.

Legend border

You can customize the legend border using the border option in the legend. The legend border can be customized using the border color and width properties.

Font of the legend text

The font of the legend item text can be customized using the following properties:

  • fontFamily
  • fontStyle
  • fontWeight
  • opacity
  • color
  • size

The following code example shows how to add legend in the gauge.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { CircularGaugeModule } from '@syncfusion/ej2-angular-circulargauge'
import { LegendService } from '@syncfusion/ej2-angular-circulargauge'




import { Component, OnInit } from '@angular/core';

@Component({
imports: [
         CircularGaugeModule
    ],

providers: [LegendService],
standalone: true,
    selector: 'app-container',
    template:
    `<ejs-circulargauge id="circular-container" [legendSettings]='legendSettings'>
        <e-axes>
            <e-axis minimum=0 maximum=100 [majorTicks]="majorTicks" [minorTicks]="minorTicks" [lineStyle]="lineStyle">
                <e-ranges>
                        <e-range start=0 end=25 radius='108%'></e-range>
                        <e-range start=25 end=50 radius='108%'></e-range>
                        <e-range start=50 end=75 radius='108%'></e-range>
                        <e-range start=75 end=100 radius='108%'></e-range>
                </e-ranges>
            </e-axis>
        </e-axes>
    </ejs-circulargauge>`
})
export class AppComponent implements OnInit {
    public lineStyle?: Object;
    public majorTicks?: Object;
    public minorTicks?: Object;
    public legendSettings?: object;
    ngOnInit(): void {
        // Initialize objects.
        this.lineStyle = {
            useRangeColor: true
        };
         this.majorTicks = {
            useRangeColor: true
        };
        this.minorTicks = {
            useRangeColor: true
        };
        this.legendSettings= {
            visible: true,
            shapeWidth:30,
            shapeHeight:30,
            padding:15,
            border: {
                color:'green',
                width:3
            }
        };
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Toggle option in legend

The toggle option has been provided for legend. So, if you toggle the legend, the given color will be changed to the corresponding circular gauge range. You can enable the toggle option using toggleVisibility in the legendSettings property.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { CircularGaugeModule } from '@syncfusion/ej2-angular-circulargauge'
import { LegendService } from '@syncfusion/ej2-angular-circulargauge'




import { Component, OnInit } from '@angular/core';

@Component({
imports: [
         CircularGaugeModule
    ],

providers: [LegendService],
standalone: true,
    selector: 'app-container',
    template:
    `<ejs-circulargauge id="circular-container" [legendSettings]='legendSettings'>
        <e-axes>
            <e-axis minimum=0 maximum=100 [majorTicks]="majorTicks" [minorTicks]="minorTicks" [lineStyle]="lineStyle">
                <e-ranges>
                        <e-range start=0 end=25 radius='108%'></e-range>
                        <e-range start=25 end=50 radius='108%'></e-range>
                        <e-range start=50 end=75 radius='108%'></e-range>
                        <e-range start=75 end=100 radius='108%'></e-range>
                </e-ranges>
            </e-axis>
        </e-axes>
    </ejs-circulargauge>`
})
export class AppComponent implements OnInit {
    public lineStyle?: Object;
    public majorTicks?: Object;
    public minorTicks?: Object;
    public legendSettings?: object;
    ngOnInit(): void {
        // Initialize objects.
        this.lineStyle = {
            useRangeColor: true
        };
         this.majorTicks = {
            useRangeColor: true
        };
        this.minorTicks = {
            useRangeColor: true
        };
        this.legendSettings= {
            visible: true,
            toggleVisibility: true
        };
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Paging support in legend

By default, paging will be enabled if the legend items exceed the legend bounds. You can view each legend item by navigating between the pages using navigation buttons.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { CircularGaugeModule } from '@syncfusion/ej2-angular-circulargauge'
import { LegendService } from '@syncfusion/ej2-angular-circulargauge'




import { Component, OnInit } from '@angular/core';

@Component({
imports: [
         CircularGaugeModule
    ],

providers: [LegendService],
standalone: true,
    selector: 'app-container',
    template:
    `<ejs-circulargauge id="circular-container" [legendSettings]='legendSettings'>
        <e-axes>
            <e-axis minimum=0 maximum=100 [majorTicks]="majorTicks" [minorTicks]="minorTicks" [lineStyle]="lineStyle">
                <e-ranges>
                        <e-range start=0 end=25 radius='108%'></e-range>
                        <e-range start=25 end=50 radius='108%'></e-range>
                        <e-range start=50 end=75 radius='108%'></e-range>
                        <e-range start=75 end=100 radius='108%'></e-range>
                </e-ranges>
            </e-axis>
        </e-axes>
    </ejs-circulargauge>`
})
export class AppComponent implements OnInit {
    public lineStyle?: Object;
    public majorTicks?: Object;
    public minorTicks?: Object;
    public legendSettings?: object;
    ngOnInit(): void {
        // Initialize objects.
        this.lineStyle = {
            useRangeColor: true
        };
         this.majorTicks = {
            useRangeColor: true
        };
        this.minorTicks = {
            useRangeColor: true
        };
        this.legendSettings= {
            visible: true,
            height: '50'
        };
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Legend text customization

You can customize the legend text using legendText property in ranges.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { CircularGaugeModule } from '@syncfusion/ej2-angular-circulargauge'
import { LegendService } from '@syncfusion/ej2-angular-circulargauge'




import { Component, OnInit } from '@angular/core';

@Component({
imports: [
         CircularGaugeModule
    ],

providers: [LegendService],
standalone: true,
    selector: 'app-container',
    template:
    `<ejs-circulargauge id="circular-container" [legendSettings]='legendSettings'>
        <e-axes>
            <e-axis minimum=0 maximum=100 [majorTicks]="majorTicks" [minorTicks]="minorTicks" [lineStyle]="lineStyle">
                <e-ranges>
                        <e-range start=0 end=25 radius='108%' legendText='light air'></e-range>
                        <e-range start=25 end=50 radius='108%' legendText='light air'></e-range>
                        <e-range start=50 end=75 radius='108%' legendText='light breeze'></e-range>
                        <e-range start=75 end=100 radius='108%' legendText='light breeze'></e-range>
                </e-ranges>
            </e-axis>
        </e-axes>
    </ejs-circulargauge>`
})
export class AppComponent implements OnInit {
    public lineStyle?: Object;
    public majorTicks?: Object;
    public minorTicks?: Object;
    public legendSettings?: object;
    ngOnInit(): void {
        // Initialize objects.
        this.lineStyle= {
            useRangeColor: true
        };
         this.majorTicks = {
            useRangeColor: true
        };
        this.minorTicks = {
            useRangeColor: true
        };
        this.legendSettings= {
            visible: true,
        };
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

legendRendering event will be triggered before rendering each legend item, using this event you can customize needed legend items using following arguments.

Argument Name Description
fill Specifies the legend shape color
text Specifies the current legend text
shape Customize the shape of the legends
name Specifies the name of the event
cancel Set to true, to cancel the event status

Gauge Legend in Vue Circular Gauge

12 Aug 202624 minutes to read

Legend provides valuable information for interpreting what the circular gauge axis range displays, and they can be represented in various colors, shapes, and other identifiers based on the data. It gives a breakdown of what each symbol represents in the axis range of circular gauge.

You can add the legend for circular gauge ranges by setting the visible property of legendSettings to true.

Legend customization

Customization option is also provided for the legend shape, alignment, and position.

Position and alignment

The position of the legend is used to place legend in various positions. You can use the position property in legendSettings. Based on the position, the legend item will be aligned. The following options are available to customize the legend position:

  • Top

  • Bottom

  • Left

  • Right

  • Custom

  • Auto

The legend alignment is used to align the legend items in specific location. You can use the alignment property in legendSettings to align the legend items. The following options are available to customize the legend alignment:

  • Near

  • Center

  • Far

The legends can also be positioned to absolute position using the location.x and location.y properties available in legendSettings.

Legend size

The legend size can be modified using the height and width properties in legendSettings.

Legend opacity

To specify the transparency for legend shape, set the opacity property in legendSettings.

Legend shape

To change the legend item shape, specify the desired shape in the shape property of the legend. By default, the shape of the legend is circle.

It also supports the following shapes:

  • Rectangle

  • Diamond

  • Triangle

  • InvertedTriangle

  • Image

  • Circle

You can customize a shape using the shapeWidth and shapeHeight properties.

Legend padding

You can control the spacing between the legend items using the padding option of the legend. The default value of padding is 5.

Legend border

You can customize the legend border using the border option in the legend. The legend border can be customized using the border color and width properties.

Font of the legend text

The font of the legend item text can be customized using the following properties:

  • fontFamily

  • fontStyle

  • fontWeight 

  • opacity

  • color 

  • size

The following code example shows how to add legend in the gauge.

<template>
    <div id="app">
        <div class='wrapper'>
            <ejs-circulargauge :legendSettings='legendSettings'>
                <e-axes>
                    <e-axis minimum=0 maximum=100 :majorTicks='majorTicks' :minorTicks='minorTicks'
                        :labelStyle='labelStyle' :ranges='ranges'></e-axis>
                </e-axes>
            </ejs-circulargauge>
        </div>
    </div>
</template>
<script setup>
import { provide } from "vue";
import { CircularGaugeComponent as EjsCirculargauge, Legend } from "@syncfusion/ej2-vue-circulargauge";

const majorTicks = {
    useRangeColor: true
}
const minorTicks = {
    useRangeColor: true
}
const labelStyle = {
    useRangeColor: true
}
const ranges = [{
    start: 0,
    end: 25,
    radius: '108%'
}, {
    start: 25,
    end: 50,
    radius: '108%'
}, {
    start: 50,
    end: 75,
    radius: '108%'
}, {
    start: 75,
    end: 100,
    radius: '108%'
}]
const legendSettings = {
    visible: true,
    shapeWidth: 30,
    shapeHeight: 30,
    padding: 15,
    border: {
        color: 'green',
        width: 3
    }
}
provide('circulargauge', [Legend]);

</script>
<style>
.wrapper {
    max-width: 300px;
    margin: 0 auto;
}
</style>
<template>
    <div id="app">
        <div class='wrapper'>
            <ejs-circulargauge :legendSettings='legendSettings'>
                <e-axes>
                    <e-axis minimum=0 maximum=100 :majorTicks='majorTicks' :minorTicks='minorTicks'
                        :labelStyle='labelStyle' :ranges='ranges'></e-axis>
                </e-axes>
            </ejs-circulargauge>
        </div>
    </div>
</template>
<script>
import { CircularGaugeComponent, Legend } from "@syncfusion/ej2-vue-circulargauge";

export default {
    name: "App",
    components: {
        "ejs-circulargauge": CircularGaugeComponent,
        "e-axes": AxesDirective,
        "e-axis": AxisDirective
    },
    data: function () {
        return {
            majorTicks: {
                useRangeColor: true
            },
            minorTicks: {
                useRangeColor: true
            },
            labelStyle: {
                useRangeColor: true
            },
            ranges: [{
                start: 0,
                end: 25,
                radius: '108%'
            }, {
                start: 25,
                end: 50,
                radius: '108%'
            }, {
                start: 50,
                end: 75,
                radius: '108%'
            }, {
                start: 75,
                end: 100,
                radius: '108%'
            }],
            legendSettings: {
                visible: true,
                shapeWidth: 30,
                shapeHeight: 30,
                padding: 15,
                border: {
                    color: 'green',
                    width: 3
                }
            }
        }
    },
    provide: {
        circulargauge: [Legend]
    }
};
</script>
<style>
.wrapper {
    max-width: 300px;
    margin: 0 auto;
}
</style>

Toggle option in legend

The toggle option has been provided for legend. So, if you toggle the legend, the given color will be changed to the corresponding circular gauge range. You can enable the toggle option using toggleVisibility in the legendSettings property.

<template>
    <div id="app">
        <div class='wrapper'>
            <ejs-circulargauge :legendSettings='legendSettings'>
                <e-axes>
                    <e-axis minimum=0 maximum=100 :majorTicks='majorTicks' :minorTicks='minorTicks'
                        :labelStyle='labelStyle' :ranges='ranges'></e-axis>
                </e-axes>
            </ejs-circulargauge>
        </div>
    </div>
</template>
<script setup>
import { provide } from "vue";
import { CircularGaugeComponent as EjsCirculargauge, AxesDirective as EAxes, AxisDirective as EAxis, Legend } from "@syncfusion/ej2-vue-circulargauge";

const majorTicks = {
    useRangeColor: true
}
const minorTicks = {
    useRangeColor: true
}
const labelStyle = {
    useRangeColor: true
}
const ranges = [{
    start: 0,
    end: 25,
    radius: '108%'
}, {
    start: 25,
    end: 50,
    radius: '108%'
}, {
    start: 50,
    end: 75,
    radius: '108%'
}, {
    start: 75,
    end: 100,
    radius: '108%'
}]
const legendSettings = {
    visible: true,
    toggleVisibility: true
}

provide('circulargauge', [Legend]);

</script>
<style>
.wrapper {
    max-width: 300px;
    margin: 0 auto;
}
</style>
<template>
    <div id="app">
        <div class='wrapper'>
            <ejs-circulargauge :legendSettings='legendSettings'>
                <e-axes>
                    <e-axis minimum=0 maximum=100 :majorTicks='majorTicks' :minorTicks='minorTicks'
                        :labelStyle='labelStyle' :ranges='ranges'></e-axis>
                </e-axes>
            </ejs-circulargauge>
        </div>
    </div>
</template>
<script>
import { CircularGaugeComponent, AxesDirective, AxisDirective, Legend } from "@syncfusion/ej2-vue-circulargauge";

export default {
    name: "App",
    components: {
        "ejs-circulargauge": CircularGaugeComponent,
        "e-axes": AxesDirective,
        "e-axis": AxisDirective
    },
    data: function () {
        return {
            majorTicks: {
                useRangeColor: true
            },
            minorTicks: {
                useRangeColor: true
            },
            labelStyle: {
                useRangeColor: true
            },
            ranges: [{
                start: 0,
                end: 25,
                radius: '108%'
            }, {
                start: 25,
                end: 50,
                radius: '108%'
            }, {
                start: 50,
                end: 75,
                radius: '108%'
            }, {
                start: 75,
                end: 100,
                radius: '108%'
            }],
            legendSettings: {
                visible: true,
                toggleVisibility: true
            }
        }
    },
    provide: {
        circulargauge: [Legend]
    }
};
</script>
<style>
.wrapper {
    max-width: 300px;
    margin: 0 auto;
}
</style>

Paging support in legend

By default, paging will be enabled if the legend items exceed the legend bounds. You can view each legend item by navigating between the pages using navigation buttons.

<template>
    <div id="app">
        <div class='wrapper'>
            <ejs-circulargauge :legendSettings='legendSettings'>
                <e-axes>
                    <e-axis minimum=0 maximum=100 :majorTicks='majorTicks' :minorTicks='minorTicks'
                        :labelStyle='labelStyle' :ranges='ranges'></e-axis>
                </e-axes>
            </ejs-circulargauge>
        </div>
    </div>
</template>
<script setup>
import { provide } from "vue";
import { CircularGaugeComponent as EjsCirculargauge, AxesDirective as EAxes, AxisDirective as EAxis, Legend } from "@syncfusion/ej2-vue-circulargauge";

const majorTicks = {
    useRangeColor: true
}
const minorTicks = {
    useRangeColor: true
}
const labelStyle = {
    useRangeColor: true
}
const ranges = [{
    start: 0,
    end: 25,
    radius: '108%'
}, {
    start: 25,
    end: 50,
    radius: '108%'
}, {
    start: 50,
    end: 75,
    radius: '108%'
}, {
    start: 75,
    end: 100,
    radius: '108%'
}]
const legendSettings = {
    visible: true,
    height: '50'
}

provide('circulargauge', [Legend]);

</script>
<style>
.wrapper {
    max-width: 300px;
    margin: 0 auto;
}
</style>
<template>
    <div id="app">
        <div class='wrapper'>
            <ejs-circulargauge :legendSettings='legendSettings'>
                <e-axes>
                    <e-axis minimum=0 maximum=100 :majorTicks='majorTicks' :minorTicks='minorTicks'
                        :labelStyle='labelStyle' :ranges='ranges'></e-axis>
                </e-axes>
            </ejs-circulargauge>
        </div>
    </div>
</template>
<script>
import { CircularGaugeComponent, AxesDirective, AxisDirective, Legend } from "@syncfusion/ej2-vue-circulargauge";

export default {
    name: "App",
    components: {
        "ejs-circulargauge": CircularGaugeComponent,
        "e-axes": AxesDirective,
        "e-axis": AxisDirective
    },
    data: function () {
        return {
            majorTicks: {
                useRangeColor: true
            },
            minorTicks: {
                useRangeColor: true
            },
            labelStyle: {
                useRangeColor: true
            },
            ranges: [{
                start: 0,
                end: 25,
                radius: '108%'
            }, {
                start: 25,
                end: 50,
                radius: '108%'
            }, {
                start: 50,
                end: 75,
                radius: '108%'
            }, {
                start: 75,
                end: 100,
                radius: '108%'
            }],
            legendSettings: {
                visible: true,
                height: '50'
            }
        }
    },
    provide: {
        circulargauge: [Legend]
    }
};
</script>
<style>
.wrapper {
    max-width: 300px;
    margin: 0 auto;
}
</style>

Legend text customization

You can customize the legend text using legendText property in ranges.

<template>
    <div id="app">
        <div class='wrapper'>
            <ejs-circulargauge :legendSettings='legendSettings'>
                <e-axes>
                    <e-axis minimum=0 maximum=100 :majorTicks='majorTicks' :minorTicks='minorTicks'
                        :labelStyle='labelStyle' :ranges='ranges'></e-axis>
                </e-axes>
            </ejs-circulargauge>
        </div>
    </div>
</template>
<script setup>
import { provide } from "vue";
import { CircularGaugeComponent as EjsCirculargauge, AxesDirective as EAxes, AxisDirective as EAxis, Legend } from "@syncfusion/ej2-vue-circulargauge";


const majorTicks = {
    useRangeColor: true
}
const minorTicks = {
    useRangeColor: true
}
const labelStyle = {
    useRangeColor: true
}
const ranges = [{
    start: 0,
    end: 25,
    radius: '108%',
    legendText: 'light air'
}, {
    start: 25,
    end: 50,
    radius: '108%',
    legendText: 'light air'
}, {
    start: 50,
    end: 75,
    radius: '108%',
    legendText: 'light breeze'
}, {
    start: 75,
    end: 100,
    radius: '108%',
    legendText: 'Gentle breeze'
}]
const legendSettings = {
    visible: true,
}

provide('circulargauge', [Legend]);

</script>
<style>
.wrapper {
    max-width: 300px;
    margin: 0 auto;
}
</style>
<template>
    <div id="app">
        <div class='wrapper'>
            <ejs-circulargauge :legendSettings='legendSettings'>
                <e-axes>
                    <e-axis minimum=0 maximum=100 :majorTicks='majorTicks' :minorTicks='minorTicks'
                        :labelStyle='labelStyle' :ranges='ranges'></e-axis>
                </e-axes>
            </ejs-circulargauge>
        </div>
    </div>
</template>
<script>
import { CircularGaugeComponent, AxesDirective, AxisDirective, Legend } from "@syncfusion/ej2-vue-circulargauge";

export default {
    name: "App",
    components: {
        "ejs-circulargauge": CircularGaugeComponent,
        "e-axes": AxesDirective,
        "e-axis": AxisDirective
    },
    data: function () {
        return {
            majorTicks: {
                useRangeColor: true
            },
            minorTicks: {
                useRangeColor: true
            },
            labelStyle: {
                useRangeColor: true
            },
            ranges: [{
                start: 0,
                end: 25,
                radius: '108%',
                legendText: 'light air'
            }, {
                start: 25,
                end: 50,
                radius: '108%',
                legendText: 'light air'
            }, {
                start: 50,
                end: 75,
                radius: '108%',
                legendText: 'light breeze'
            }, {
                start: 75,
                end: 100,
                radius: '108%',
                legendText: 'Gentle breeze'
            }],
            legendSettings: {
                visible: true,
            }
        }
    },
    provide: {
        circulargauge: [Legend]
    }
};
</script>
<style>
.wrapper {
    max-width: 300px;
    margin: 0 auto;
}
</style>

legendRendering event will be triggered before rendering each legend item, using this event you can customize needed legend items using following arguments.

Argument name Description
fill Specifies the legend shape color
text Specifies the current legend text
shape Customize the shape of the legends
name Specifies the name of the event
cancel Set to true, to cancel the event status

Legend in React Circular Gauge

10 Aug 202623 minutes to read

Legend provides valuable information for interpreting what the circular gauge axis range displays, and they can be represented in various colors, shapes, and other identifiers based on the data. It gives a breakdown of what each symbol represents in the axis range of circular gauge.

You can add the legend for circular gauge ranges by setting the visible property of legendSettings to true.

Legend customization

Customization option is also provided for the legend shape, alignment, and position.

Position and alignment

The position of the legend is used to place legend in various positions. You can use the position property in legendSettings. Based on the position, the legend item will be aligned. The following options are available to customize the legend position:

  • Top

  • Bottom

  • Left

  • Right

  • Custom

  • Auto

The legend alignment is used to align the legend items in specific location. You can use the alignment property in legendSettings to align the legend items. The following options are available to customize the legend alignment:

  • Near

  • Center

  • Far

The legends can also be positioned to absolute position using the location.x and location.y properties available in legendSettings.

Legend size

The legend size can be modified using the height and width properties in legendSettings.

Legend opacity

To specify the transparency for legend shape, set the opacity property in legendSettings.

Legend shape

To change the legend item shape, specify the desired shape in the shape property of the legend. By default, the shape of the legend is circle.

It also supports the following shapes:

  • Rectangle

  • Diamond

  • Triangle

  • InvertedTriangle

  • Image

  • Circle

You can customize a shape using the shapeWidth and shapeHeight properties.

Legend padding

You can control the spacing between the legend items using the padding option of the legend. The default value of padding is 5.

Legend border

You can customize the legend border using the border option in the legend. The legend border can be customized using the border color and width properties.

Font of the legend text

The font of the legend item text can be customized using the following properties:

  • fontFamily

  • fontStyle

  • fontWeight 

  • opacity

  • color 

  • size

The following code example shows how to add legend in the gauge.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { CircularGaugeComponent, Legend, AxesDirective, AxisDirective, RangesDirective, RangeDirective, Inject } from '@syncfusion/ej2-react-circulargauge';
export function App() {
  return(
  <CircularGaugeComponent  
          legendSettings={{
            visible: true,
            shapeWidth:30,
            shapeHeight:30,
            padding:15,
            border: {
                color:'green',
                width:3
            }
}}>
        <Inject services={[ Legend ]}/>
    <AxesDirective>
      <AxisDirective minimum={0} maximum={100} majorTicks = {{ useRangeColor: true }} minorTicks = {{ useRangeColor: true }} labelStyle = {{ useRangeColor: true }}>
        <RangesDirective>
            <RangeDirective start = {0} end = {25} radius = '108%'></RangeDirective>
            <RangeDirective start = {25} end = {50} radius = '108%'></RangeDirective>
            <RangeDirective start = {50} end = {75} radius = '108%'></RangeDirective>
            <RangeDirective start = {75} end = {100} radius = '108%'></RangeDirective>
        </RangesDirective>
      </AxisDirective>
    </AxesDirective>
  </CircularGaugeComponent>);
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { CircularGaugeComponent, Legend, AxesDirective, AxisDirective, RangesDirective, RangeDirective, Inject } from '@syncfusion/ej2-react-circulargauge';
export function App() {
  return(
  <CircularGaugeComponent  
          legendSettings={{
            visible: true,
            shapeWidth:30,
            shapeHeight:30,
            padding:15,
            border: {
                color:'green',
                width:3
            }
}}>
        <Inject services={[ Legend ]}/>
    <AxesDirective>
      <AxisDirective minimum={0} maximum={100} majorTicks = {{ useRangeColor: true }} minorTicks = {{ useRangeColor: true }} labelStyle = {{ useRangeColor: true }}>
        <RangesDirective>
            <RangeDirective start = {0} end = {25} radius = '108%'></RangeDirective>
            <RangeDirective start = {25} end = {50} radius = '108%'></RangeDirective>
            <RangeDirective start = {50} end = {75} radius = '108%'></RangeDirective>
            <RangeDirective start = {75} end = {100} radius = '108%'></RangeDirective>
        </RangesDirective>
      </AxisDirective>
    </AxesDirective>
  </CircularGaugeComponent>);
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);

Toggle option in legend

The toggle option has been provided for legend. So, if you toggle the legend, the given color will be changed to the corresponding circular gauge range. You can enable the toggle option using toggleVisibility in the legendSettings property.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { CircularGaugeComponent, Legend, Inject, AxesDirective, AxisDirective, RangesDirective, RangeDirective } from '@syncfusion/ej2-react-circulargauge';
export function App() {
  return(
  <CircularGaugeComponent  
          legendSettings={{
              visible: true,
              toggleVisibility: true
          }}>
         <Inject services={[ Legend ]}/> 
    <AxesDirective>
      <AxisDirective minimum={0} maximum={100} majorTicks = {{ useRangeColor: true }} minorTicks = {{ useRangeColor: true }} labelStyle = {{ useRangeColor: true }} >
        <RangesDirective>
            <RangeDirective start = {0} end = {25} radius = '108%'></RangeDirective>
            <RangeDirective start = {25} end = {50} radius = '108%'></RangeDirective>
            <RangeDirective start = {50} end = {75} radius = '108%'></RangeDirective>
            <RangeDirective start = {75} end = {100} radius = '108%'></RangeDirective>
        </RangesDirective>
      </AxisDirective>
    </AxesDirective>
  </CircularGaugeComponent>);
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { CircularGaugeComponent, Legend, Inject, AxesDirective, AxisDirective, RangesDirective, RangeDirective } from '@syncfusion/ej2-react-circulargauge';
export function App() {
  return(
  <CircularGaugeComponent  
          legendSettings={{
              visible: true,
              toggleVisibility: true
          }}>
         <Inject services={[ Legend ]}/> 
    <AxesDirective>
      <AxisDirective minimum={0} maximum={100} majorTicks = {{ useRangeColor: true }} minorTicks = {{ useRangeColor: true }} labelStyle = {{ useRangeColor: true }} >
        <RangesDirective>
            <RangeDirective start = {0} end = {25} radius = '108%'></RangeDirective>
            <RangeDirective start = {25} end = {50} radius = '108%'></RangeDirective>
            <RangeDirective start = {50} end = {75} radius = '108%'></RangeDirective>
            <RangeDirective start = {75} end = {100} radius = '108%'></RangeDirective>
        </RangesDirective>
      </AxisDirective>
    </AxesDirective>
  </CircularGaugeComponent>);
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);

Paging support in legend

By default, paging will be enabled if the legend items exceed the legend bounds. You can view each legend item by navigating between the pages using navigation buttons.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { CircularGaugeComponent, Legend, Inject, AxesDirective, AxisDirective, RangesDirective, RangeDirective } from '@syncfusion/ej2-react-circulargauge';
export function App() {
  return(
  <CircularGaugeComponent  
          legendSettings={{
              visible: true,
              height: "50"
          }}>
          <Inject services={[ Legend ]}/>
    <AxesDirective>
      <AxisDirective minimum={0} maximum={100} majorTicks = {{ useRangeColor: true }} minorTicks = {{ useRangeColor: true }} labelStyle = {{ useRangeColor: true }}>
        <RangesDirective>
            <RangeDirective start = {0} end = {25} radius = '108%'></RangeDirective>
            <RangeDirective start = {25} end = {50} radius = '108%'></RangeDirective>
            <RangeDirective start = {50} end = {75} radius = '108%'></RangeDirective>
            <RangeDirective start = {75} end = {100} radius = '108%'></RangeDirective>
        </RangesDirective>
      </AxisDirective>
    </AxesDirective>
  </CircularGaugeComponent>);
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { CircularGaugeComponent, Legend, Inject, AxesDirective, AxisDirective, RangesDirective, RangeDirective } from '@syncfusion/ej2-react-circulargauge';
export function App() {
  return(
  <CircularGaugeComponent  
          legendSettings={{
              visible: true,
              height: "50"
          }}>
          <Inject services={[ Legend ]}/>
    <AxesDirective>
      <AxisDirective minimum={0} maximum={100} majorTicks = {{ useRangeColor: true }} minorTicks = {{ useRangeColor: true }} labelStyle = {{ useRangeColor: true }}>
        <RangesDirective>
            <RangeDirective start = {0} end = {25} radius = '108%'></RangeDirective>
            <RangeDirective start = {25} end = {50} radius = '108%'></RangeDirective>
            <RangeDirective start = {50} end = {75} radius = '108%'></RangeDirective>
            <RangeDirective start = {75} end = {100} radius = '108%'></RangeDirective>
        </RangesDirective>
      </AxisDirective>
    </AxesDirective>
  </CircularGaugeComponent>);
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);

Legend text customization

You can customize the legend text using legendText property in ranges.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { CircularGaugeComponent, Legend, Inject, AxesDirective, AxisDirective, RangesDirective, RangeDirective } from '@syncfusion/ej2-react-circulargauge';
export function App() {
  return(
  <CircularGaugeComponent  
          legendSettings={{
              visible: true,
          }}>
          <Inject services={[ Legend ]}/>
    <AxesDirective>
      <AxisDirective minimum={0} maximum={100} majorTicks = {{ useRangeColor: true }} minorTicks = {{ useRangeColor: true }} labelStyle = {{ useRangeColor: true }}>
        <RangesDirective>
            <RangeDirective start = {0} end = {25} radius = '108%' legendText= 'light air'></RangeDirective>
            <RangeDirective start = {25} end = {50} radius = '108%' legendText= 'light air'></RangeDirective>
            <RangeDirective start = {50} end = {75} radius = '108%'  legendText= 'light breeze'></RangeDirective>
            <RangeDirective start = {75} end = {100} radius = '108%' legendText= "gentle breeze"></RangeDirective>
        </RangesDirective>
      </AxisDirective>
    </AxesDirective>
  </CircularGaugeComponent>);
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);
import * as React from "react";
import * as ReactDOM from "react-dom";
import { CircularGaugeComponent, Legend, Inject, AxesDirective, AxisDirective, RangesDirective, RangeDirective } from '@syncfusion/ej2-react-circulargauge';
export function App() {
  return(
  <CircularGaugeComponent  
          legendSettings={{
              visible: true,
          }}>
          <Inject services={[ Legend ]}/>
    <AxesDirective>
      <AxisDirective minimum={0} maximum={100} majorTicks = {{ useRangeColor: true }} minorTicks = {{ useRangeColor: true }} labelStyle = {{ useRangeColor: true }}>
        <RangesDirective>
            <RangeDirective start = {0} end = {25} radius = '108%' legendText= 'light air'></RangeDirective>
            <RangeDirective start = {25} end = {50} radius = '108%' legendText= 'light air'></RangeDirective>
            <RangeDirective start = {50} end = {75} radius = '108%'  legendText= 'light breeze'></RangeDirective>
            <RangeDirective start = {75} end = {100} radius = '108%' legendText= "gentle breeze"></RangeDirective>
        </RangesDirective>
      </AxisDirective>
    </AxesDirective>
  </CircularGaugeComponent>);
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);

legendRendering event will be triggered before rendering each legend item, using this event you can customize needed legend items using following arguments.

Argument name Description
fill Specifies the legend shape color
text Specifies the current legend text
shape Customize the shape of the legends
name Specifies the name of the event
cancel Set to true, to cancel the event status